This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 880399 - (CVE-2012-5571) CVE-2012-5571 OpenStack: Keystone EC2-style credentials invalidation issue
CVE-2012-5571 OpenStack: Keystone EC2-style credentials invalidation issue
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121128,repor...
: Security
Depends On: 880403 880404
Blocks: 873487 879404
  Show dependency treegraph
 
Reported: 2012-11-26 17:04 EST by Kurt Seifried
Modified: 2016-04-26 09:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 02:57:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
OpenStack-essex-CVE-2012-5571.patch (1.85 KB, patch)
2012-11-26 17:16 EST, Kurt Seifried
no flags Details | Diff
OpenStack-folsom-CVE-2012-5571.patch (1.59 KB, patch)
2012-11-26 17:16 EST, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2012-11-26 17:04:21 EST
Thierry Carrez (thierry@openstack.org) of the OpenStack project reports:

Title: EC2-style credentials invalidation issue
Reporter: Vijaya Erukala
Products: Keystone
Affects: All versions

Description:
Vijaya Erukala reported a vulnerability in Keystone EC2-style
credentials invalidation: when a user is removed from a tenant, issued
EC2-style credentials would continue to be valid for that tenant. An
authenticated and authorized user could potentially leverage this
vulnerability to extend his access beyond the account owner
expectations. Only setups enabling EC2-style credentials (for example
enabling EC2 API in Nova) are affected.
Comment 3 Kurt Seifried 2012-11-26 17:16:23 EST
Created attachment 652344 [details]
OpenStack-essex-CVE-2012-5571.patch
Comment 4 Kurt Seifried 2012-11-26 17:16:43 EST
Created attachment 652345 [details]
OpenStack-folsom-CVE-2012-5571.patch
Comment 6 Vincent Danen 2012-11-27 14:02:58 EST
External Reference:

https://bugs.launchpad.net/keystone/+bug/1064914
Comment 7 Murray McAllister 2012-12-09 23:57:29 EST
Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting this issue. Upstream acknowledges Vijaya Erukala as the original reporter.
Comment 8 errata-xmlrpc 2012-12-10 16:02:25 EST
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2012:1557 https://rhn.redhat.com/errata/RHSA-2012-1557.html
Comment 9 errata-xmlrpc 2012-12-10 16:03:13 EST
This issue has been addressed in following products:

  OpenStack Essex for RHEL 6

Via RHSA-2012:1556 https://rhn.redhat.com/errata/RHSA-2012-1556.html
Comment 10 Fedora Update System 2012-12-10 20:27:11 EST
openstack-keystone-2012.1.3-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-12-11 00:57:04 EST
openstack-keystone-2012.2.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-12-19 13:34:04 EST
openstack-keystone-2012.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.